| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RTShader::ProgramWriterFactory Class Referenceabstract
Optional Components » RTShaderSystem

Interface definition for factories of ShaderProgramWriter. More...

`#include <OgreShaderProgramWriterManager.h>`

Inheritance diagram for Ogre::RTShader::ProgramWriterFactory:
[legend]

## Public Member Functions
| ProgramWriterFactory ()
virtual | ~ProgramWriterFactory ()
virtual ProgramWriter * | create (void)=0
| Create writer instance. More...
virtual const String & | getTargetLanguage (void) const =0
| Get the name of the language this factory creates programs for. More...

## Detailed Description

Interface definition for factories of ShaderProgramWriter.

## Constructor & Destructor Documentation

## ◆ ProgramWriterFactory()

Ogre::RTShader::ProgramWriterFactory::ProgramWriterFactory | ( |  | ) |
| inline

## ◆ ~ProgramWriterFactory()

virtual Ogre::RTShader::ProgramWriterFactory::~ProgramWriterFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getTargetLanguage()

virtual const String& Ogre::RTShader::ProgramWriterFactory::getTargetLanguage | ( | void |  | ) | const
| pure virtual

Get the name of the language this factory creates programs for.

Implemented in Ogre::RTShader::ShaderProgramWriterGLSLFactory, Ogre::RTShader::ShaderProgramWriterCGFactory, Ogre::RTShader::ShaderProgramWriterGLSLESFactory, and Ogre::RTShader::ShaderProgramWriterHLSLFactory.

## ◆ create()

virtual ProgramWriter* Ogre::RTShader::ProgramWriterFactory::create | ( | void |  | ) |
| pure virtual

Create writer instance.

Implemented in Ogre::RTShader::ShaderProgramWriterGLSLFactory, Ogre::RTShader::ShaderProgramWriterCGFactory, Ogre::RTShader::ShaderProgramWriterGLSLESFactory, and Ogre::RTShader::ShaderProgramWriterHLSLFactory.

The documentation for this class was generated from the following file:

- OgreShaderProgramWriterManager.h